Do Not Contact

Get DNC Items by ID

GET /v1/dnc/{dncListId}

GET/v1/dnc/{dncListId}
GET
/v1/dnc/{dncListId}

Get Dnc items by id

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

dncListIdstring

Enter dnc list id

Query Parameters

searchstring

Search by item value

pageSizenumber

Number of items per page. Maximum pageSize is 100

Default: 25

pagenumber

Page number for pagination.

Default: 1

typestring

type of item

Value in: "all" | "email" | "domain"

Responses

200
Successfully fetched dnc item
{
  "payload": {
    "message": "Successfully fetched dnc item",
    "dncDetails": [
      {
        "id": "bZwpbE09aQ",
        "value": "[email protected]",
        "type": "email",
        "createdAt": "2024-09-19T07:44:00.100Z",
        "addedBy": "John Doe"
      }
    ],
    "meta": {
      "totalItems": 1,
      "currentPage": 1,
      "itemsPerPage": 25,
      "totalPages": 1,
      "itemCount": 1
    }
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/dnc/{dncListId}" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body